# Interface AttributeChecker

All Known Implementing Classes:
  `ArraysizeChecker, DeprecatedAttChecker, FieldRefChecker, IDChecker, NameChecker, ParamHandler.ValueChecker, RefChecker, TableHandler.NrowsChecker, VersionChecker, VocabAttributeChecker`

public interface AttributeChecker
Defines how to perform checks on attributes.

Since:
  7 Apr 2005
Author:
  Mark Taylor (Starlink)

## Method Summary

Modifier and Type
Method
Description
`void`
`check(String attValue, ElementHandler handler)`
Performs a syntactic and/or semantic check on an attribute value for a given element.

## Method Details

### check

void check(String attValue, ElementHandler handler)
Performs a syntactic and/or semantic check on an attribute value for a given element. Anything worthy of comment should be logged through `handler`'s context.

Parameters:
  `attValue` - the value of the attribute to check
  `handler` - the element on which `attValue` appears